# Serialized Form

## Package org.apache.sling.resourceresolver.impl.console

### Class org.apache.sling.resourceresolver.impl.console.ResourceResolverWebConsolePlugin

class ResourceResolverWebConsolePlugin extends javax.servlet.http.HttpServlet implements Serializable

serialVersionUID:
  0L

## Package org.apache.sling.resourceresolver.impl.helper

### Class org.apache.sling.resourceresolver.impl.helper.URI

class URI extends Object implements Serializable

serialVersionUID:
  604752400577948726L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream ois) throws ClassNotFoundException, IOException
Read a URI.

Parameters:
  `ois` - the object-input stream
Throws:
  `ClassNotFoundException` - If one of the classes specified in the input stream cannot be found.
  `IOException` - If an IO problem occurs.

##### writeObject

private void writeObject(ObjectOutputStream oos) throws IOException
Write the content of this URI.

Parameters:
  `oos` - the object-output stream
Throws:
  `IOException` - If an IO problem occurs.

#### Serialized Fields

##### _authority

    char[] _authority

The authority.

##### _fragment

    char[] _fragment

The fragment.

##### _host

    char[] _host

The host.

##### _is_abs_path

    boolean _is_abs_path

##### _is_hier_part

    boolean _is_hier_part

##### _is_hostname

    boolean _is_hostname

##### _is_IPv4address

    boolean _is_IPv4address

##### _is_IPv6reference

    boolean _is_IPv6reference

##### _is_net_path

    boolean _is_net_path

##### _is_opaque_part

    boolean _is_opaque_part

##### _is_reg_name

    boolean _is_reg_name

##### _is_rel_path

    boolean _is_rel_path

##### _is_server

    boolean _is_server

##### _opaque

    char[] _opaque

The opaque.

##### _path

    char[] _path

The path.

##### _port

    int _port

The port.

##### _query

    char[] _query

The query.

##### _scheme

    char[] _scheme

The scheme.

##### _uri

    char[] _uri

This Uniform Resource Identifier (URI). The URI is always in an "escaped" form, since escaping or unescaping a completed URI might change its semantics.

##### _userinfo

    char[] _userinfo

The userinfo.

##### hash

    int hash

Cache the hash code for this URI.

##### protocolCharset

    String protocolCharset

The charset of the protocol used by this URI instance.

### Exception org.apache.sling.resourceresolver.impl.helper.URI.DefaultCharsetChanged

class DefaultCharsetChanged extends org.apache.sling.api.SlingException implements Serializable

#### Serialized Fields

##### reason

    String reason

The reason message.

##### reasonCode

    int reasonCode

The reason code.

### Exception org.apache.sling.resourceresolver.impl.helper.URIException

class URIException extends org.apache.sling.api.SlingException implements Serializable

#### Serialized Fields

##### reason

    String reason

The reason message.

##### reasonCode

    int reasonCode

The reason code.

## Package org.apache.sling.resourceresolver.impl.mapping

### Exception org.apache.sling.resourceresolver.impl.mapping.PagedQueryIterator.QueryImplementationException

class QueryImplementationException extends RuntimeException implements Serializable